Bug 1800858 - Review Request: cmsis-pack-manager - Utils and a Python module for handling CMSIS Pack files
Summary: Review Request: cmsis-pack-manager - Utils and a Python module for handling C...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1643778
TreeView+ depends on / blocked
 
Reported: 2020-02-08 12:57 UTC by Peter Robinson
Modified: 2021-03-29 09:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2020-02-08 12:57:32 UTC
SPEC: https://pbrobinson.fedorapeople.org/cmsis-pack-manager.spec
SRPM: https://pbrobinson.fedorapeople.org/cmsis-pack-manager-0.2.9-1.fc31.src.rpm

Description:
cmsis-pack-manager is a command line utility and a python module for managing
current device information that is stored in many CMSIS PACKs. Users of
cmsis-pack-manager may query for information such as processor type, flash
algorithm and memory layout information in a python program or through the
command line utility, pack-manager, provided as part of this module.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=41433130

FAS: pbrobinson

Comment 1 Robert-André Mauchin 🐧 2020-02-10 23:56:24 UTC
 - Add apache-2.0.txt to %license

%license LICENSE apache-2.0.txt

 - Same error:

Download error on https://pypi.org/simple/setuptools_scm_git_archive/: [Errno -2] Name or service not known -- Some packages may not be found!
Download error on https://pypi.org/simple/setuptools-scm-git-archive/: [Errno -2] Name or service not known -- Some packages may not be found!
Couldn't find index page for 'setuptools_scm_git_archive' (maybe misspelled?)
Download error on https://pypi.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
No local packages or working download links found for setuptools_scm_git_archive
Traceback (most recent call last):
  File "setup.py", line 55, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 144, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 717, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 780, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1077, in obtain
    return installer(requirement)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 787, in fetch_build_egg
    return cmd.easy_install(req)
  File "/usr/lib/python3.8/site-packages/setuptools/command/easy_install.py", line 678, in easy_install
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('setuptools_scm_git_archive')
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.sFf1bu (%build)
    Bad exit status from /var/tmp/rpm-tmp.sFf1bu (%build)
Child return code was: 1

   Add:

BuildRequires: python3-setuptools_scm_git_archive


Download error on https://pypi.org/simple/pytest-runner/: [Errno -2] Name or service not known -- Some packages may not be found!
Couldn't find index page for 'pytest-runner' (maybe misspelled?)
Download error on https://pypi.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
No local packages or working download links found for pytest-runner
Traceback (most recent call last):
  File "setup.py", line 55, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 144, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 717, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 780, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1077, in obtain
    return installer(requirement)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 787, in fetch_build_egg
    return cmd.easy_install(req)
  File "/usr/lib/python3.8/site-packages/setuptools/command/easy_install.py", line 678, in easy_install
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pytest-runner')
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.fMEN0v (%build)
    Bad exit status from /var/tmp/rpm-tmp.fMEN0v (%build)
Child return code was: 1


   Add:

BuildRequires: python3-pytest-runner


 - Did you try running pack-manager? It doesn't work if you don't build the Rust part:

$ pack-manager
Traceback (most recent call last):
  File "/usr/bin/pack-manager", line 11, in <module>
    load_entry_point('cmsis-pack-manager==0.2.9', 'console_scripts', 'pack-manager')()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2852, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2443, in load
    return self.resolve()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2449, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.7/site-packages/cmsis_pack_manager/__init__.py", line 24, in <module>
    from ._native import ffi, lib
ModuleNotFoundError: No module named 'cmsis_pack_manager._native'

Comment 2 Package Review 2021-02-10 00:45:22 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 3 Peter Robinson 2021-02-10 11:19:06 UTC
Yep, still on my list, need to investigate the rust bits.

Comment 4 Anders Blomdell 2021-03-29 09:58:44 UTC
(In reply to Peter Robinson from comment #3)
> Yep, still on my list, need to investigate the rust bits.

Any progress on this?


Note You need to log in before you can comment on or make changes to this bug.